Bug 873634 - Keyboard mapping set during the installation process is reset at first boot
Summary: Keyboard mapping set during the installation process is reset at first boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-06 11:19 UTC by Mounir Lamouri
Modified: 2013-02-26 02:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 02:43:33 UTC


Attachments (Terms of Use)

Description Mounir Lamouri 2012-11-06 11:19:54 UTC
Description of problem:
I set my keyboard mapping to 'dvorak' during installation and it was ignored when I rebooted after installing updates (updates might be the cause of it).

Version-Release number of selected component (if applicable):
Fedora 17.

How reproducible:
I installed Fedora twice, it happened twice.

Steps to Reproduce:
1. Install Fedora 17.
2. During the first start UI, set the keyboard layout to dvorak.
3. Dvorak is used when the system boots.
4. Install update. (don't know if that is a required step)
5. Reboot
  
Actual results:
Keyboard layout is back to en-US

Expected results:
Keyboard layout is still dvorak

Additional info:
It wasn't possible to copy user settings to system settings during the first boot.

Comment 1 Lennart Poettering 2012-11-19 22:17:11 UTC
What's the contents of /etc/vconsole.conf? And /etc/X11/xorg.conf.d/00-keyboard.conf?

Comment 2 Mounir Lamouri 2012-11-19 22:30:04 UTC
/etc/vconsole.conf:
KEYMAP=us

/etc/X11/xorg.conf.d/00-keyboard.conf:
# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbLayout" "us"
        Option "XkbVariant" "dvorak-alt-intl"
EndSection

Comment 3 Lennart Poettering 2013-01-14 17:22:10 UTC
Hmm, I guess the translation table in /usr/share/systemd/kbd-model-map simply doesn't know "dvorak-alt-intl", and hence cares only about "us" and hence gives you a non-dvorak map. The fix is easy, we just should include "dvorak-alt-intl" in the table.

Comment 5 Fedora Update System 2013-01-28 19:12:38 UTC
systemd-197-1.fc18.2 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-197-1.fc18.2

Comment 6 Fedora Update System 2013-01-30 00:33:52 UTC
Package systemd-197-1.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-197-1.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1590/systemd-197-1.fc18.2
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-23 01:01:42 UTC
Package initscripts-9.42.2-1.fc18, systemd-197-1.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.42.2-1.fc18 systemd-197-1.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1590/initscripts-9.42.2-1.fc18,systemd-197-1.fc18.2
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-02-26 02:43:34 UTC
initscripts-9.42.2-1.fc18, systemd-197-1.fc18.2 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.